# Uses of Class
org.eclipse.ltk.core.refactoring.participants.CopyArguments

Packages that use CopyArguments
Package
Description
org.eclipse.ltk.core.refactoring.participants
Application programming interface to participant in existing rename, move and delete refactorings if the refactoring provider supports participation.

## Uses of CopyArguments in org.eclipse.ltk.core.refactoring.participants

Methods in org.eclipse.ltk.core.refactoring.participants that return CopyArguments
Modifier and Type
Method
Description
`CopyArguments`
CopyParticipant.`getArguments()`
Returns the copy arguments.
Methods in org.eclipse.ltk.core.refactoring.participants with parameters of type CopyArguments
Modifier and Type
Method
Description
`static CopyParticipant[]`
ParticipantManager.`loadCopyParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, CopyArguments arguments, String[] affectedNatures, SharableParticipants shared)`
Loads the copy participants for the given element.
`static CopyParticipant[]`
ParticipantManager.`loadCopyParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, CopyArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)`
Loads the copy participants for the given element.